Subject: wrappin text lines is not enough, headers shoould be split too

From: Francesco Potortì <[email-masked]>
Date: Mon, 07 Mar 2022 13:35:52 +0100

I just discovered that checking overlong text lines is not enough.

Apparently calling mml-to-mime is not enough when the overlong line is a header.

If there is an overlong header, other headers which are utf-8 escaped are not sent correctly, and the recipent sees something like this:

Subject: test =?utf-8?Q?=C3=A0?= b c
 =?utf-8?Q?=C3=AC?=

RFC 5322 mandates header line lengths less than 998, including CRLF, and this is apparently not enforced by mml-to-mime.  Sending an identical email with long headers split into several lines makes the problem disappear.

I do not know where the culprit is and I do not have a workaround :(